package com.heyu.api.data.service.impl.order;

import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.OrderStatusEnums;
import com.heyu.api.data.service.impl.AbstractOrderAction;

public class BuyerSubmitCommentAction extends AbstractOrderAction {
    @Override
    public ActionEnums getAction(VvTradeOrderLineEntity vvTradeOrderLineEntity, boolean isApp) {
        if (
                OrderStatusEnums.delivered.getStatus().equals(vvTradeOrderLineEntity.getStatus())
        ) {
            if (isApp) {
                return ActionEnums.App_Buyer_Submit_Comment;
            }

        }

        return null;
    }
}
